From: "Michael Palimaka" <kensington@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: kde-base/gwenview/
Date: Wed, 6 Mar 2013 10:56:24 +0000 (UTC) [thread overview]
Message-ID: <1362567330.c60e464890058d44885b897f60b4660cc9b5317a.kensington@gentoo> (raw)
commit: c60e464890058d44885b897f60b4660cc9b5317a
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 6 10:55:30 2013 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Wed Mar 6 10:55:30 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=c60e4648
[kde-base/gwenview] Only display elog if package is not installed.
Package-Manager: portage-2.1.11.55
---
kde-base/gwenview/gwenview-4.10.1.ebuild | 12 +++++++-----
kde-base/gwenview/gwenview-4.10.49.9999.ebuild | 12 +++++++-----
kde-base/gwenview/gwenview-9999.ebuild | 12 +++++++-----
3 files changed, 21 insertions(+), 15 deletions(-)
diff --git a/kde-base/gwenview/gwenview-4.10.1.ebuild b/kde-base/gwenview/gwenview-4.10.1.ebuild
index 653dfc5..20e5ab7 100644
--- a/kde-base/gwenview/gwenview-4.10.1.ebuild
+++ b/kde-base/gwenview/gwenview-4.10.1.ebuild
@@ -44,9 +44,11 @@ src_configure() {
pkg_postinst() {
kde4-base_pkg_postinst
- echo
- elog "For SVG support, emerge -va kde-base/svgpart"
- echo
- use kipi && elog "The plugins for the KIPI inteface can be found in media-plugins/kipi-plugins"
- use kipi && echo
+ if ! has_version kde-base/svgpart:${SLOT} ; then
+ elog "For SVG support, install kde-base/svgpart:${SLOT}"
+ fi
+
+ if use kipi && ! has_version media-plugins/kipi-plugins ; then
+ elog "The plugins for the KIPI inteface can be found in media-plugins/kipi-plugins"
+ fi
}
diff --git a/kde-base/gwenview/gwenview-4.10.49.9999.ebuild b/kde-base/gwenview/gwenview-4.10.49.9999.ebuild
index 2076cdc..253e187 100644
--- a/kde-base/gwenview/gwenview-4.10.49.9999.ebuild
+++ b/kde-base/gwenview/gwenview-4.10.49.9999.ebuild
@@ -44,9 +44,11 @@ src_configure() {
pkg_postinst() {
kde4-base_pkg_postinst
- echo
- elog "For SVG support, emerge -va kde-base/svgpart"
- echo
- use kipi && elog "The plugins for the KIPI inteface can be found in media-plugins/kipi-plugins"
- use kipi && echo
+ if ! has_version kde-base/svgpart:${SLOT} ; then
+ elog "For SVG support, install kde-base/svgpart:${SLOT}"
+ fi
+
+ if use kipi && ! has_version media-plugins/kipi-plugins ; then
+ elog "The plugins for the KIPI inteface can be found in media-plugins/kipi-plugins"
+ fi
}
diff --git a/kde-base/gwenview/gwenview-9999.ebuild b/kde-base/gwenview/gwenview-9999.ebuild
index 2076cdc..253e187 100644
--- a/kde-base/gwenview/gwenview-9999.ebuild
+++ b/kde-base/gwenview/gwenview-9999.ebuild
@@ -44,9 +44,11 @@ src_configure() {
pkg_postinst() {
kde4-base_pkg_postinst
- echo
- elog "For SVG support, emerge -va kde-base/svgpart"
- echo
- use kipi && elog "The plugins for the KIPI inteface can be found in media-plugins/kipi-plugins"
- use kipi && echo
+ if ! has_version kde-base/svgpart:${SLOT} ; then
+ elog "For SVG support, install kde-base/svgpart:${SLOT}"
+ fi
+
+ if use kipi && ! has_version media-plugins/kipi-plugins ; then
+ elog "The plugins for the KIPI inteface can be found in media-plugins/kipi-plugins"
+ fi
}
next reply other threads:[~2013-03-06 10:56 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-03-06 10:56 Michael Palimaka [this message]
-- strict thread matches above, loose matches on Subject: below --
2014-10-31 17:27 [gentoo-commits] proj/kde:master commit in: kde-base/gwenview/ Michael Palimaka
2014-09-25 20:46 Johannes Huber
2014-09-16 13:35 Michael Palimaka
2014-03-11 21:56 Johannes Huber
2014-03-10 12:28 Johannes Huber
2014-02-14 20:52 Johannes Huber
2014-01-03 0:46 Chris Reffett
2013-12-20 11:55 Johannes Huber
2013-10-06 19:57 Chris Reffett
2013-08-28 15:42 Michael Palimaka
2013-08-22 16:47 Michael Palimaka
2013-08-06 7:39 Michael Palimaka
2013-06-11 13:01 Michael Palimaka
2013-02-09 19:42 Andreas Hüttel
2012-11-22 20:00 Elias Probst
2011-08-06 16:23 Andreas Hüttel
2011-06-08 22:49 Andreas Hüttel
2011-06-08 22:19 Andreas Hüttel
2011-05-26 4:13 Jorge Manuel B. S. Vicetto
2011-05-16 22:54 Jonathan Callen
2011-03-27 0:31 Jonathan Callen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1362567330.c60e464890058d44885b897f60b4660cc9b5317a.kensington@gentoo \
--to=kensington@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox